## org.hibernate.metamodel.domain
Interface Attribute

All Known Subinterfaces:
  IndexedPluralAttribute, PluralAttribute, SingularAttribute

All Known Implementing Classes:
  AbstractAttributeContainer.IndexedPluralAttributeImpl, AbstractAttributeContainer.PluralAttributeImpl, AbstractAttributeContainer.SingularAttributeImpl

    public interface Attribute

Describes an attribute.

Method Summary
`AttributeContainer` `getAttributeContainer()` Retrieve the declaring container for this attribute (entity/component).
`String` `getName()` Retrieve the attribute name.
`boolean` `isSingular()` An attribute can be either: singular - castable to `SingularAttribute` plural - castable to `PluralAttribute`

Method Detail

### getName

    String getName()

  Retrieve the attribute name.

  Returns:
    The attribute name.

### getAttributeContainer

    AttributeContainer getAttributeContainer()

  Retrieve the declaring container for this attribute (entity/component).

  Returns:
    The attribute container.

### isSingular

    boolean isSingular()

  An attribute can be either:
  - singular - castable to `SingularAttribute`
  - plural - castable to `PluralAttribute`

  Returns:
    True if attribute is singular; false if plural.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.